from binary_file import write_byte_array, read_byte_array, print_bin_file

# Do prvního bajtu uložíme velikost matice.

def store_matrix(file_name, matrix):
    with open(file_name, 'bw') as file:
        write_byte_array(file, [len(matrix)])
        for row in matrix:
            write_byte_array(file, row)        

""""
>>> store_matrix('matrix.b', [[0, 1, 2], [3, 4, 5], [6, 7, 8]])
>>> print_bin_file('matrix.b')
00000011 00000000 00000001 00000010 00000011 00000100 
00000101 00000110 00000111 00001000 
"""   
def load_matrix(file_name):
    matrix = []
    with open(file_name, 'br') as file:
        size = read_byte_array(file, 1)[0]
        for i in range(size):
            row = read_byte_array(file, size)
            matrix += [row]
    return matrix
        
"""
>>> load_matrix('matrix.b')
[[0, 1, 2], [3, 4, 5], [6, 7, 8]]
"""
# Úkol: Uložit a načíst obdélníkovou matici.
"""
store_matrix('matrix2.b', [[0, 1, 3], [4, 5, 6]])
"""
# Převede pole bajtů na číslo.
def byte_array_to_number(byte_array):
    result = 0
    for byte in byte_array:
        result = (result << 8) | byte
    return result
        
    
"""
>>> byte_array_to_number([231, 115])
59251
"""
"""
>>> number_to_byte_array(59251)
[231, 115]
>>> number_to_byte_list(59251, 3)
[0, 231, 115]
"""

# Úkol: Zvýšit rozsah hodnot na dva bajty. 
# Úkol: Snížit rozsah hodnot na čtyři bity. Dvě buňky jsou v jednom bajtu.

