# Modul pro převod bajtového pole na číslo a zpět.

# Převede pole bajtů na číslo.
def byte_array_to_number(byte_array):
    result = 0
    for byte in byte_array:
        result = (result << 8) | byte
    return result

"""
>>> byte_array_to_number([231, 115])
59251
"""

# Převede číslo na pole bajtů.
    
"""
>>> number_to_byte_array(59251)
[231, 115]
>>> number_to_byte_list(59251, 3)
[0, 231, 115]
"""
